
#include "rtg_atomic.h"

#include "windows.h"

rtg_atom_value_t rtg_atomic_increment(rtg_atom_t* const atom)
{
  return InterlockedIncrement(atom);
}

rtg_atom_value_t rtg_atomic_decrement(rtg_atom_t* const atom)
{
  return InterlockedDecrement(atom);
}

rtg_atom_value_t rtg_atomic_exchange(rtg_atom_t* const atom, rtg_atom_t v)
{
  return InterlockedExchange(atom, v);
}

